> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vultlocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new subscriber (public endpoint)

> Create a new subscriber without authentication. Intended for third-party integrations.



## OpenAPI

````yaml /olive-openapi.json post /api/v1/public/subscribers
openapi: 3.0.0
info:
  description: >-
    API Gateway for OLIVE NFC Card Payment System - Comprehensive payment, card
    management, agent operations, and admin authentication. All /api/v1 routes
    require authentication using either API Key or JWT token.
  title: OLIVE NFC Card Payment API
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    email: support@olive.sl
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://olive-gateway-a6ba.onrender.com/api/v1
security: []
paths:
  /api/v1/public/subscribers:
    post:
      tags:
        - Subscribers
      summary: Create new subscriber (public endpoint)
      description: >-
        Create a new subscriber without authentication. Intended for third-party
        integrations.
      requestBody:
        $ref: '#/components/requestBodies/handler.RegisterSubscriberRequest'
      responses:
        '201':
          description: Subscriber created successfully
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
components:
  requestBodies:
    handler.RegisterSubscriberRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/handler.RegisterSubscriberRequest'
      description: Subscriber registration details
      required: true
  schemas:
    handler.RegisterSubscriberRequest:
      type: object
      required:
        - first_name
        - last_name
        - phone_number
        - pin
      properties:
        address:
          type: string
          example: 123 Main St
        category:
          type: string
          example: retail
        certificate_url:
          type: string
          example: https://example.com/cert.pdf
        district:
          type: string
          example: Western Urban
        email:
          type: string
          example: john@example.com
        first_name:
          type: string
          example: John
        id_back_url:
          type: string
          example: https://example.com/id_back.jpg
        id_front_url:
          type: string
          example: https://example.com/id_front.jpg
        kyc_level:
          type: integer
          example: 1
        last_name:
          type: string
          example: Doe
        max_child_cards:
          type: integer
          example: 4
        national_id:
          type: string
          example: NID123456
        organisation_name:
          type: string
          example: ABC Company Ltd
        organisation_type:
          type: string
          example: Limited Company
        other_names:
          type: string
          example: Michael
        phone_number:
          type: string
          example: '0771234567'
        pin:
          type: string
          example: '1234'
        referral_code:
          type: string
          example: REF123
        registration_id_no:
          type: string
          example: RC123456
        relationship_manager_id:
          type: integer
          example: 1
        whatsapp_number:
          type: string
          example: '0771234567'

````